summaryrefslogtreecommitdiffstats
path: root/debian/init.d.ex
diff options
context:
space:
mode:
authorarpi_esp <arpi_esp@b3059339-0415-0410-9bf9-f77b7e298cf2>2001-02-27 02:04:08 +0000
committerarpi_esp <arpi_esp@b3059339-0415-0410-9bf9-f77b7e298cf2>2001-02-27 02:04:08 +0000
commit7a098e388410617a819ecf71f602729ef8c08dc3 (patch)
treed9c00f388c9f9f92ccbbb0dc619b12d08b545f59 /debian/init.d.ex
parent0b1d7d1a17dee36e63e9b91736e13783b6d6c939 (diff)
downloadmpv-7a098e388410617a819ecf71f602729ef8c08dc3.tar.bz2
mpv-7a098e388410617a819ecf71f602729ef8c08dc3.tar.xz
Initial revision
git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@19 b3059339-0415-0410-9bf9-f77b7e298cf2
Diffstat (limited to 'debian/init.d.ex')
-rw-r--r--debian/init.d.ex51
1 files changed, 51 insertions, 0 deletions
diff --git a/debian/init.d.ex b/debian/init.d.ex
new file mode 100644
index 0000000000..6089c9002e
--- /dev/null
+++ b/debian/init.d.ex
@@ -0,0 +1,51 @@
+#!/bin/sh
+#
+# This file was automatically customized by debmake on Mon, 26 Feb 2001 12:24:04 +0100
+#
+# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.org>.
+# Modified for Debian by Christoph Lameter <clameter@debian.org>
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/mplayer
+# The following value is extracted by debstd to figure out how to generate
+# the postinst script. Edit the field to change the way the script is
+# registered through update-rc.d (see the manpage for update-rc.d!)
+FLAGS="defaults 50"
+
+test -f $DAEMON || exit 0
+
+case "$1" in
+ start)
+ start-stop-daemon --start --verbose --exec $DAEMON
+ ;;
+ stop)
+ start-stop-daemon --stop --verbose --exec $DAEMON
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # start-stop-daemon --stop --signal 1 --verbose --exec $DAEMON
+ # ;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ start-stop-daemon --stop --verbose --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --verbose --exec $DAEMON
+ ;;
+ *)
+ echo "Usage: /etc/init.d/mplayer {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0